#-------------------------------------------------
#
# Project created by QtCreator 2016-04-06T20:45:20
#
#-------------------------------------------------

QT       += widgets sql

TARGET = shop
TEMPLATE = lib

CONFIG += eet

DEFINES += SHOP_LIBRARY

SOURCES += shop.cpp \
    data/voucher.cpp \
    shopform.cpp \
    directsaleform.cpp \
    temporaryreceiptsaveform.cpp \
    receiptsaveform.cpp \
    receiptloadform.cpp \
    data/voucheritem.cpp \
    shopservice.cpp \
    directsaleitem.cpp \
    receiptgenerator.cpp \
    settings/shopsettings.cpp \
    settings/shopsettingsform.cpp \
    paydialog.cpp \
    paydvouchersdialog.cpp \
    shopitem.cpp \
    isellableservice.cpp \
    data/favorititem.cpp \
    eetbatchdialog.cpp

HEADERS += shop.h\
        shop_global.h \
    data/voucher.h \
    shopform.h \
    directsaleform.h \
    temporaryreceiptsaveform.h \
    receiptsaveform.h \
    receiptloadform.h \
    ishopitem.h \
    data/voucheritem.h \
    data/shop-data.h \
    isellableservice.h \
    shopservice.h \
    directsaleitem.h \
    receiptgenerator.h \
    settings/shopsettings.h \
    settings/shopsettingsform.h \
    paydialog.h \
    paydvouchersdialog.h \
    shopitem.h \
    data/favorititem.h \
    eetbatchdialog.h \
    favbutton.h

include(../config_plugin.pri)

OTHER_FILES += shop.json

ODB_FILES = shop/data/shop-data.h
H_DIR = $$PWD/data/*.h
ODB_OTHER_INCLUDES = -I $$PWD/../addressbook/data -I $$PWD/../countryregister/data -I $$PWD/
include(../odb.pri)

RESOURCES += \
    shoprc.qrc

FORMS += \
    shopform.ui \
    directsaleform.ui \
    temporaryreceiptsaveform.ui \
    receiptsaveform.ui \
    receiptloadform.ui \
    settings/shopsettingsform.ui \
    paydialog.ui \
    paydvouchersdialog.ui \
    eetbatchdialog.ui

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -laddressbook
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -laddressbook
else:unix: LIBS += -L$$OUT_PWD/../plugins/ -laddressbook

INCLUDEPATH += $$PWD/../addressbook/data
INCLUDEPATH += $$PWD/../addressbook
INCLUDEPATH += $$PWD/
DEPENDPATH += $$PWD/../addressbook

INCLUDEPATH += $$PWD/../countryregister/data
INCLUDEPATH += $$PWD/../countryregister

TRANSLATIONS = translations/shop_cs_CZ.ts

win32 {
    LIBS += -lwinspool
}

eet {
    CONFIG(debug, debug|release) {
        LIBS += -L$$PWD/../../EetCpp/bin/debug -lEetCpp
    } else {
        LIBS += -L$$PWD/../../EetCpp/bin/release -lEetCpp
    }

    DEFINES += EET
}

INCLUDEPATH += $$PWD/../../EetCpp/libEet
DEPENDPATH += $$PWD/../../EetCpp/libEet
